taffybar-3.0.0: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.Hooks

Synopsis

- module System.Taffybar.DBus
- newtype NetworkInfoChan = NetworkInfoChan (Chan [(String, (Rational, Rational))])
- buildInfoChan :: Double -> IO NetworkInfoChan
- getNetworkChan :: TaffyIO NetworkInfoChan
- withBatteryRefresh :: TaffybarConfig -> TaffybarConfig
- getDirectoryEntriesByClassName :: TaffyIO (MultiMap String DesktopEntry)
- updateDirectoryEntriesCache :: TaffyIO ()
- readDirectoryEntriesDefault :: TaffyIO (MultiMap String DesktopEntry)
- directoryEntriesByClassName :: Foldable t => t DesktopEntry -> MultiMap String DesktopEntry
- refreshBatteriesOnPropChange :: TaffyIO ()

# Documentation

module System.Taffybar.DBus

newtype NetworkInfoChan Source #

Constructors

NetworkInfoChan (Chan [(String, (Rational, Rational))]) |

buildInfoChan :: Double -> IO NetworkInfoChan Source #

getNetworkChan :: TaffyIO NetworkInfoChan Source #

withBatteryRefresh :: TaffybarConfig -> TaffybarConfig Source #

getDirectoryEntriesByClassName :: TaffyIO (MultiMap String DesktopEntry) Source #

updateDirectoryEntriesCache :: TaffyIO () Source #

readDirectoryEntriesDefault :: TaffyIO (MultiMap String DesktopEntry) Source #

directoryEntriesByClassName :: Foldable t => t DesktopEntry -> MultiMap String DesktopEntry Source #

refreshBatteriesOnPropChange :: TaffyIO () Source #

Call "refreshAllBatteries" whenever the BatteryInfo for the DisplayDevice is updated. This handles cases where there is a race between the signal that something is updated and the update actually being visible. See https://github.com/taffybar/taffybar/issues/330 for more details.